BASENAME(1)

NAZWA
basename - oddziela katalog i przyrostek od nazw plików

SKŁADNIA
basename NAZWA [PRZYROSTEK]
basename OPCJA

OPIS

Wyświetla NAZWĘ, usuwając wiodące nazwy katalogów, pozostawiając w ten sposób nazwę pliku bez ścieżki. Jeśli podano PRZYROSTEK, jest on także usuwany.

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

PRZYKŁADY

basename /usr/bin/sort
    Wyświetla "sort".

basename include/stdio.h .h
    Wyświetla "stdio".

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w basename proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu basename proszę wysyłać na adres<http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2011 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
dirname(1), readlink(1)

Pełna dokumentacja basename jest dostępna w formacie Texinfo. Jeśli programy info i basename są poprawnie zainstalowane, to polecenie

    info coreutils 'basename invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.13 oryginału.